# 0R Fishing

## Step 1

RRun data.sql on your sql program.

## Step 2

Do your configurations on config.lua

## Step 3

Put script to your resources file and go to server.cfg type ensure 0r\_fishing

### <mark style="color:red;">NOTE</mark>

When you finish the minigame you need to press **"E"** key for continue

#### Installation

#### QBCore

Head to Shared folder items.lua and add this to it.

```lua
["bonito"] = {
    ["name"] = "bonito",
    ["label"] = "Bonito",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "bonito.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "bonito"
},
["turbot"] = {
    ["name"] = "turbot",
    ["label"] = "turbot",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "turbot.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "turbot"
},
["mackerel"] = {
    ["name"] = "mackerel",
    ["label"] = "mackerel",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "mackerel.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "mackerel"
},
["garfish"] = {
    ["name"] = "garfish",
    ["label"] = "garfish",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "garfish.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "garfish"
},
["sea_pear"] = {
    ["name"] = "sea_pear",
    ["label"] = "sea_pear",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "sea_pear.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "sea_pear"
},
["sea_bass"] = {
    ["name"] = "sea_bass",
    ["label"] = "sea_bass",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "sea_bass.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "sea_bass"
},
["gilt_head_bream"] = {
    ["name"] = "gilt_head_bream",
    ["label"] = "gilt_head_bream",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "gilt_head_bream.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "gilt_head_bream"
},
["salmon"] = {
    ["name"] = "salmon",
    ["label"] = "salmon",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "salmon.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "salmon"
},
["horse_mackerel"] = {
    ["name"] = "horse_mackerel",
    ["label"] = "horse_mackerel",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "horse_mackerel.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "horse_mackerel"
},
["blowfish"] = {
    ["name"] = "blowfish",
    ["label"] = "blowfish",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "blowfish.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "blowfish"
},
["turtle"] = {
    ["name"] = "turtle",
    ["label"] = "turtle",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "turtle.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "turtle"
},
["trout"] = {
    ["name"] = "trout",
    ["label"] = "trout",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "trout.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "trout"
},
["anchovy"] = {
    ["name"] = "anchovy",
    ["label"] = "anchovy",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "anchovy.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "anchovy"
},
["seashell"] = {
    ["name"] = "seashell",
    ["label"] = "seashell",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "seashell.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "seashell"
},
["bluefish"] = {
    ["name"] = "bluefish",
    ["label"] = "bluefish",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "bluefish.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "bluefish"
},
["fish"] = {
    ["name"] = "fish",
    ["label"] = "fish",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "fish.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "fish"
},
["fishingbait"] = {
    ["name"] = "fishingbait",
    ["label"] = "fishingbait",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "fishingbait.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "fishingbait"
},
["fishingnet"] = {
    ["name"] = "fishingnet",
    ["label"] = "fishingnet",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "fishingnet.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "fishingnet"
},
["fishingrod"] = {
    ["name"] = "fishingrod",
    ["label"] = "fishingrod",
    ["weight"] = 0,
    ["type"] = "item",
    ["image"] = "fishingrod.png",
    ["unique"] = false,
    ["useable"] = false,
    ["shouldClose"] = false,
    ["combinable"] = nil,
    ["description"] = "fishingrod"
},
```

Make sure to copy the images from the 0r-fishing/ui folder.

### OX Inventory

Add these items in ox\_inventory/data/items.

```etlua
['bonito'] = {
    label = 'bonito',
    weight = 0,
    stack = true,
    close = false
},
['turbot'] = {
    label = 'turbot',
    weight = 0,
    stack = true,
    close = false
},
['mackerel'] = {
    label = 'mackerel',
    weight = 0,
    stack = true,
    close = false
},
['garfish'] = {
    label = 'garfish',
    weight = 0,
    stack = true,
    close = false
},
['sea_pear'] = {
    label = 'sea_pear',
    weight = 0,
    stack = true,
    close = false
},
['sea_bass'] = {
    label = 'sea_bass',
    weight = 0,
    stack = true,
    close = false
},
['gilt_head_bream'] = {
    label = 'gilt_head_bream',
    weight = 0,
    stack = true,
    close = false
},
['salmon'] = {
    label = 'salmon',
    weight = 0,
    stack = true,
    close = false
},
['horse_mackerel'] = {
    label = 'horse_mackerel',
    weight = 0,
    stack = true,
    close = false
},
['blowfish'] = {
    label = 'blowfish',
    weight = 0,
    stack = true,
    close = false
},
['turtle'] = {
    label = 'turtle',
    weight = 0,
    stack = true,
    close = false
},
['trout'] = {
    label = 'trout',
    weight = 0,
    stack = true,
    close = false
},
['anchovy'] = {
    label = 'anchovy',
    weight = 0,
    stack = true,
    close = false
},
['seashell'] = {
    label = 'seashell',
    weight = 0,
    stack = true,
    close = false
},
['bluefish'] = {
    label = 'bluefish',
    weight = 0,
    stack = true,
    close = false
},
['fish'] = {
    label = 'fish',
    weight = 0,
    stack = true,
    close = false
},
['fishingbait'] = {
    label = 'fishingbait',
    weight = 0,
    stack = true,
    close = true
},
['fishingnet'] = {
    label = 'fishingnet',
    weight = 0,
    stack = true,
    close = true
},
['fishingrod'] = {
    label = 'fishingrod',
    weight = 0,
    stack = true,
    close = true
},
```

## Minigame

If you find Pressing N doesn't work this is due to you rebinding your push to talk button in key binds fivem.

to fix this just use the provided minigame edit below

```lua
Keys = { -- Make sure the key is in the FivemKeys table and keys are not duplicated or missing [2] = "A", [4] = "D", [5] = "E", [6] = "R", [3] = "S", [1] = "W", },
FivemKeys = {
    ["A"] = 34, ["D"] = 9, 
    ["E"] = 38, ["R"] = 45, 
    ["S"] = 8,  ["W"] = 32,
}
```

Copy full thing at the end of the config where you see keys. This will fix and remove keys that aren't used and fix the N button.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-fishing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
